### Enumeration

# GUPnP RootdeviceError

#### Declaration

    error-domain GUPnP.RootdeviceError

#### Description [src]

Errors during `GUPnPRootDevice` creation.

#### Members

`GUPNP_ROOT_DEVICE_ERROR_NO_CONTEXT`

  No `GUPnPContext` was passed to the root device.

  - Value: `0`
  - Available since: 1.6
`GUPNP_ROOT_DEVICE_ERROR_NO_DESCRIPTION_PATH`

  Device description path was missing.

  - Value: `1`
  - Available since: 1.6
`GUPNP_ROOT_DEVICE_ERROR_NO_DESCRIPTION_FOLDER`

  Description folder was missing.

  - Value: `2`
  - Available since: 1.6
`GUPNP_ROOT_DEVICE_ERROR_NO_NETWORK`

  Network interface is not usable.

  - Value: `3`
  - Available since: 1.6
`GUPNP_ROOT_DEVICE_ERROR_FAIL`

  No description available.

  - Value: `4`
  - Available since: 1.6

#### Type functions

###### gupnp_rootdevice_error_quark

No description available.